%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           json_simple
Version:        1.1
Release:        2%{?dist}
Summary:        Simple Java toolkit for JSON

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://code.google.com/p/json-simple/
Source0:        http://json-simple.googlecode.com/files/json_simple-1.1-all.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant

Requires:       jpackage-utils
Requires:       java

%description
JSON.simple is a simple Java toolkit for JSON. You can use JSON.simple 
to encode or decode JSON text. 
  * Full compliance with JSON specification (RFC4627) and reliable 
  * Provides multiple functionalities such as encode, decode/parse 
    and escape JSON text while keeping the library lightweight 
  * Flexible, simple and easy to use by reusing Map and List interfaces 
  * Supports streaming output of JSON text 
  * Stoppable SAX-like interface for streaming input of JSON text 
  * Heap based parser 
  * High performance (see performance testing) 
  * No dependency on external libraries 
  * Both of the source code and the binary are JDK1.2 compatible 

%prep
%setup -q -n json_simple-%{version}-all
find . -name '*.jar' -exec rm -f '{}' \;
# All the files have dos line endings, remove them.
find . -type f -exec %{__sed} -i 's/\r//' {} \;

%build
%ant 
%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p  lib/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%post 
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif

%postun
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*

%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%doc ChangeLog.txt LICENSE.txt test test.xml AUTHORS.txt README.txt

%changelog
* Thu Oct 15 2009 Steve Traylen <steve.traylen@cern.ch> - 1.1-2
- Add AUTHORS.txt and README.txt files.

* Tue Sep 8 2009 Steve Traylen <steve.traylen@cern.ch> - 1.1-1
- Initial build.

